PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
FAULT_STRUCT_Type Struct Reference

## Description

Fault structure (FAULT_STRUCT)

## Data Fields
__IOM uint32_t | CTL
__IM uint32_t | RESERVED [2]
__IOM uint32_t | STATUS
__IOM uint32_t | DATA [4]
__IM uint32_t | RESERVED1 [8]
__IM uint32_t | PENDING0
__IM uint32_t | PENDING1
__IM uint32_t | PENDING2
__IM uint32_t | RESERVED2
__IOM uint32_t | MASK0
__IOM uint32_t | MASK1
__IOM uint32_t | MASK2
__IM uint32_t | RESERVED3 [25]
__IOM uint32_t | INTR
__IOM uint32_t | INTR_SET
__IOM uint32_t | INTR_MASK
__IM uint32_t | INTR_MASKED
__IM uint32_t | RESERVED4 [12]

## Field Documentation

## ◆ CTL

__IOM uint32_t FAULT_STRUCT_Type::CTL

0x00000000 Fault control

## ◆ RESERVED

__IM uint32_t FAULT_STRUCT_Type::RESERVED[2]

## ◆ STATUS

__IOM uint32_t FAULT_STRUCT_Type::STATUS

0x0000000C Fault status

## ◆ DATA

__IOM uint32_t FAULT_STRUCT_Type::DATA[4]

0x00000010 Fault data

## ◆ RESERVED1

__IM uint32_t FAULT_STRUCT_Type::RESERVED1[8]

## ◆ PENDING0

__IM uint32_t FAULT_STRUCT_Type::PENDING0

0x00000040 Fault pending 0

## ◆ PENDING1

__IM uint32_t FAULT_STRUCT_Type::PENDING1

0x00000044 Fault pending 1

## ◆ PENDING2

__IM uint32_t FAULT_STRUCT_Type::PENDING2

0x00000048 Fault pending 2

## ◆ RESERVED2

__IM uint32_t FAULT_STRUCT_Type::RESERVED2

## ◆ MASK0

__IOM uint32_t FAULT_STRUCT_Type::MASK0

0x00000050 Fault mask 0

## ◆ MASK1

__IOM uint32_t FAULT_STRUCT_Type::MASK1

0x00000054 Fault mask 1

## ◆ MASK2

__IOM uint32_t FAULT_STRUCT_Type::MASK2

0x00000058 Fault mask 2

## ◆ RESERVED3

__IM uint32_t FAULT_STRUCT_Type::RESERVED3[25]

## ◆ INTR

__IOM uint32_t FAULT_STRUCT_Type::INTR

0x000000C0 Interrupt

## ◆ INTR_SET

__IOM uint32_t FAULT_STRUCT_Type::INTR_SET

0x000000C4 Interrupt set

## ◆ INTR_MASK

__IOM uint32_t FAULT_STRUCT_Type::INTR_MASK

0x000000C8 Interrupt mask

## ◆ INTR_MASKED

__IM uint32_t FAULT_STRUCT_Type::INTR_MASKED

0x000000CC Interrupt masked

## ◆ RESERVED4

__IM uint32_t FAULT_STRUCT_Type::RESERVED4[12]